iconv(1)

NOMBRE
iconv: convierte texto de una a otra codificación de caracteres

SINOPSIS
iconv [opciones] [-f codificación-de-origen] [-t codificación-de-resultado] [archivo-de-entrada ...]

DESCRIPCIÓN
El programa iconv lee texto en una codificación y genera el texto en otra. Si no se indican archivos de entrada, o si se indica un guión (-), iconv lee desde la entrada estándar. Si no se indica ningún archivo de salida, iconv mostrará el resultado por la salida estándar.

Si no se indica ninguna codificación-inicial, el valor predeterminado se toma de la codificación de caracteres de la configuración regional actual. Si no se proporciona codificación-final, éste también se tomará de la codificación de caracteres de la configuración regional actual.

OPCIONES

--from-code=codificación-inicial
-f codificación-inicial
    Utiliza codificación-inicial para el texto de entrada.

--to-code=codificación-final
-t codificación-final
    Utiliza codificación-final para el texto de salida.

    Si se agrega la cadena //IGNORE a codificación-final, se descartan los caracteres que no se pueden convertir y se muestra un error después de la conversión. Los caracteres que no puede descodificarse se consideran erróneos con esta opción o sin ella.

    Si se agrega la cadena //TRANSLIT a codificación-final, los caracteres que se convierten se transliteran siempre que sea necesario y posible. Esto significa que cuando un caracter no puede ser representado en el conjunto de caracteres de destino, se puede aproximar a través de uno o varios caracteres de apariencia similar. Los caracteres que no están presentes en el conjunto de caracteres de destino y no se pueden transliterar se reemplazan con un signo de interrogación (?) en la salida.

--list
-l
    Enumera todas las codificaciones de conjuntos de caracteres conocidas.

-c  Descarta sin emitir ningún mensaje los caracteres que no se pueden convertir en lugar de finalizar la ejecución cuando se encuentre con alguno. POSIX requiere que esta opción no modifique el estado de salida de la aplicación.

--output=archivo de salida
-o archivo de salida
    Utilice archivo de salida para enviar la salida.

--silent
-s
    Esta opción se ignora; se proporciona sólo por razones de compatibilidad.

--verbose
    Muestra información de progreso sobre errores estándar al procesar varios archivos.

--help
-?
    Muestra un resumen de uso y finaliza.

--usage
    Muestra un breve resumen de uso y finaliza.

--version
-V
    Muestra el número de versión, la licencia y la exención de garantía de iconv.

ESTADO DE SALIDA
Cero en caso de éxito, distinto de cero en caso de error.

ENTORNO
Internamente, el programa iconv usa la función iconv(3) que a su vez usa módulos gconv (bibliotecas compartidas cargadas dinámicamente) para convertir hacia y desde un determinado conjunto de caracteres. Antes de llamar a iconv(3), el programa iconv primero debe asignar un descriptor de conversión usando iconv_open(3). El funcionamiento de esta última función viene dado por la configuración de la variable de entorno GCONV_PATH:

•   Si GCONV_PATH no está configurado, iconv_open(3) carga el archivo de caché de configuración del módulo gconv del sistema creado por iconvconfig(8) y posteriormente, según la configuración, cargará los módulos gconv necesarios para realizar la conversión. Si el archivo de caché de configuración del módulo gconv del sistema no está disponible, se utiliza el archivo de configuración del módulo gconv del sistema.

•   Si se define GCONV_PATH (como una lista de nombres de ruta separados por dos puntos), no se utiliza el caché de configuración del módulo gconv del sistema. En cambio, iconv_open(3) primero intenta cargar los archivos de configuración buscando en los directorios en GCONV_PATH en orden, seguido por el archivo de configuración del módulo gconv predeterminado del sistema. Si un directorio no contiene un archivo de configuración del módulo gconv, se ignoran los módulos gconv que pueda contener. Si un directorio contiene un archivo de configuración del módulo gconv y se determina que un módulo necesario para esta conversión está disponible en el directorio, se cargará desde ese directorio, siendo el orden tal que el primer módulo adecuado se encuentre en GCONV_PATH se utiliza. Esto permite a los usuarios utilizar módulos personalizados e incluso reemplazar módulos proporcionados por el sistema al proporcionar dichos módulos en los directorios GCONV_PATH.

ARCHIVOS

/usr/lib/gconv
    Ruta habitual de acceso predeterminada del módulo gconv.

/usr/lib/gconv/gconv-modules
    Archivo habitual de configuración del módulo gconv predeterminado del sistema.

/usr/lib/gconv/gconv-modules.cache
    Caché de configuración habitual del módulo gconv del sistema.

Dependiendo de la arquitectura, los archivos anteriores pueden estar ubicados en directorios con el prefijo /usr/lib64.

ESTÁNDARES
POSIX.1-2008.

HISTORIAL
POSIX.1-2001.

EJEMPLOS
Convierte texto de la codificación de caracteres ISO/IEC 8859-15 a UTF-8:

    $ iconv -f ISO-8859-15 -t UTF-8 < entrada.txt > salida.txt;

El siguiente ejemplo convierte de UTF-8 a ASCII, transliterando cuando sea posible:

    $ echo abc ß α € àḃç | iconv -f UTF-8 -t ASCII//TRANSLIT
    abc ss ? EUR abc

VÉASE TAMBIÉN
locale(1), uconv(1), iconv(3), nl_langinfo(3), charsets(7), iconvconfig(8)

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.